angular.module('starter').controller('DetalheProdutoCtrl', function($scope,  $ionicLoading, $stateParams, DetalheProdutoService, LoginService) {

  $scope.produtoDetalhadoS = null;
  $scope.produtoDetalhadoT = null;
  DetalheProdutoService.recuperarProdutoId($stateParams.detalheProdutoId).then(function (retorno) {
    if(retorno.data){
      $scope.produto = retorno.data[0];
      $scope.produto.imagem_app = angular.copy(angular.lowercase($scope.produto.imagem_app));
      if(LoginService.usuarioLogado().perfil =='T'){
        DetalheProdutoService.recuperarProdutoPerfilT($stateParams.detalheProdutoId).then(function (retorno) {
          if(retorno.data){
            $scope.produtoDetalhadoT = retorno.data[0];
            console.log($scope.produtoDetalhadoT);
          }
        });
      }else{
        DetalheProdutoService.recuperarProdutoPerfilS($stateParams.detalheProdutoId).then(function (retorno) {
          if(retorno.data){
            $scope.produtoDetalhadoS = retorno.data[0];
            console.log($scope.produtoDetalhadoS);
          }
        });
      }

    }
  })


});
