angular.module('starter')

  .service('LoginService', function($q, $http) {
    var LOCAL_TOKEN_KEY = 'yourTokenKey';
    var usuario = [];
    var isAuthenticated = false;
    var role = '';
    var authToken;

    setCurrentUser = function(usuario) {
      this.usuario = usuario;
    };

    setAutenticado = function(valor){
      this.isAuthenticated = valor;
    }


    function login(data){
      const url = "https://seufilhonaescola.com.br/ws_revestiflex/ws.php?xfuncao=Autentic&xuser="+data.usuario+"&xpass="+data.senha;
      
      return $http.get(url);
    }
    
    function destroyUserCredentials() {
      authToken = undefined;
      usuario = null;
      isAuthenticated = false;
      $http.defaults.headers.common['X-Auth-Token'] = undefined;
      window.localStorage.removeItem(LOCAL_TOKEN_KEY);
    }

    var logout = function() {
      destroyUserCredentials();
    };


    var autenticado =  function(){
      return this.isAuthenticated;
    }


    var usuarioLogado =  function(){
      return this.usuario;
    }

    return {
      login: login,
      logout: logout,
      autenticado:autenticado,
      setCurrentUser:setCurrentUser,
      setAutenticado:setAutenticado,
      usuarioLogado:usuarioLogado
    };
  });
